package com.bcxin.ars.dto;

import org.springframework.util.StringUtils;

import com.bcxin.ars.model.PoliceRole;

public class PoliceRoleSearchDto extends SearchDto<PoliceRole> {
	private String orgtype;

	public String getOrgtype() {
		return orgtype;
	}

	public void setOrgtype(String orgtype) {
		this.orgtype = orgtype;
	}
	private String rolename;
	
	private String creater;
	
	private Long orgid;

	/**
	 * 角色ID
	 */
	private Long roleid;
	private String orgIds;//组织结构（可多个用,隔开）

	private String[] orgIdList;
	private String queryType;

	/***
	 * 角色类型
	 */
	private String roletype;

	public String getRoletype() {
		return roletype;
	}

	public void setRoletype(String roletype) {
		this.roletype = roletype;
	}
	public Long getRoleid() {
		return roleid;
	}

	public void setRoleid(Long roleid) {
		this.roleid = roleid;
	}

	public String getQueryType() {
		return queryType;
	}

	public void setQueryType(String queryType) {
		this.queryType = queryType;
	}
	public String getRolename() {
		return rolename;
	}

	public void setRolename(String rolename) {
		this.rolename = rolename;
	}

	public String getCreater() {
		return creater;
	}

	public void setCreater(String creater) {
		this.creater = creater;
	}

	public String getOrgIds() {
		return orgIds;
	}

	public void setOrgIds(String orgIds) {
		this.orgIds = orgIds;
	}
	
	public String[] getOrgIdList() {
		String[] orgs = null;
		if(orgIdList == null || orgIdList.length<1){
			if(!StringUtils.isEmpty(orgIds)){
				orgs = orgIds.split(",");
			}
		}else{
			orgs = orgIdList;
		}
		return orgs;
	}

	public void setOrgIdList(String[] orgIdList) {
		this.orgIdList = orgIdList;
	}

	public Long getOrgid() {
		return orgid;
	}

	public void setOrgid(Long orgid) {
		this.orgid = orgid;
	}
}
